Page 1 of 2 12 LastLast
Results 1 to 20 of 22

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Ipod touch 3g device running 2g firmware, how to update? HELP!

  1. #1
    Default Ipod touch 3g device running 2g firmware, how to update? HELP!
    I bought my ipod touch 3g and it was on 3.1.3, so i watched a video which told me to downgrade to 2g 3.1.2 then to use blackra1n, now that spirits been released i want to put it back onto 3g firmware but it only accepts 2g! Help please!

  2. #2
    Livin the iPhone Life CaptainChaos's Avatar
    Join Date
    Sep 2008
    Location
    In a van down by the river
    Posts
    4,824
    Thanks
    553
    Thanked 515 Times in 427 Posts

    So you can't do a simple restore in iTunes to 3.1.3?

  3. #3
    No, it says "firmware file is not compatible" when i try, so basically itunes thinks its a 2g. I heard you can trick itunes somehow and restore the ipod through dfu mode but i'll need help with that :/
    Last edited by Chishty1; 2010-06-01 at 04:54 PM. Reason: Automerged Doublepost

  4. #4
    Livin the iPhone Life CaptainChaos's Avatar
    Join Date
    Sep 2008
    Location
    In a van down by the river
    Posts
    4,824
    Thanks
    553
    Thanked 515 Times in 427 Posts

    Have you rebooted your computer? You should be able to Shift/Restore(ctrl/restore on macs) to a downloaded 3.1.3 or just press the Restore button.

  5. #5
    Yuuup, nothing seems to be working ://
    How can i bypass itunes server so my ipod will accept the firmware? :S

  6. #6
    Livin the iPhone Life CaptainChaos's Avatar
    Join Date
    Sep 2008
    Location
    In a van down by the river
    Posts
    4,824
    Thanks
    553
    Thanked 515 Times in 427 Posts

    Point it at Saurik's server...
    edit your HOSTS file in windows...
    http://modmyi.com/forums/3g-s-downgr...ml#post5196727

  7. #7
    If i do that, and then put my ipod into dfu, do you reckon it will upgrade it?

    ^^^
    I tried everything, nothing works. Even when my ipod is in dfu mode, itunes almost instantly says the firmware is not compatible. Does this mean im stuck on 2g firmware on my 3g? Does this mean when 4.0 releases, even though i have a 3g ipod, it wont be able to multitask? ://
    Last edited by Chishty1; 2010-06-01 at 08:39 PM. Reason: Automerged Doublepost

  8. #8
    how many GB's is your ipod?

  9. #9
    8, does it make a difference somehow?

  10. #10
    Yeah, it mean that you have a second gen. All apple did was bump the price down $30 and rebrand it a 3rd gen. The real 3rd gens are the 32 and 64 gigabyte models. No multitasking.

  11. #11

    Butttt when i got it, it was on 3g 3.1.3,
    Now its 2g 3.1.3,
    Whats the difference?

  12. #12
    Retired Moderator
    Join Date
    Jun 2009
    Location
    Alhambra, CA
    Posts
    16,904
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    The firmwares dont determine what kind of device it is.

  13. #13
    Sorry if im getting really annoying noww but, if it came as 3g 3.1.3, why cant it go back? if its the same device after all...

  14. #14
    Retired Moderator
    Join Date
    Jun 2009
    Location
    Alhambra, CA
    Posts
    16,904
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    Im sorry lol Im so tired! I just realized that didnt make sense. The error you got was a product of not using the right firmware for your device.

    If you have a 3G you cant use a 2G firmware on it and vice versa.

    How do you figure what firmware it was using? The only thing you can tell by looking at your device is the firmware version which is 3.1.3. It doesnt tell you if it is for the 2G or 3G ipod touch.
    Last edited by i.Annie; 2010-06-01 at 11:39 PM. Reason: Automerged Doublepost

  15. #15
    Yeah. You still have to use the 3g firmware. Where are you getting it from?

  16. #16
    Retired Moderator
    Join Date
    Jun 2009
    Location
    Alhambra, CA
    Posts
    16,904
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    You will most definitely generate an error if your device is a 2G and you try to use a 3G's ipsw.

    Aside from that, why do you want to change it? It doesnt make a difference, they are both 3.1.3. For which device, it doesnt matter. They both do the same thing.

  17. #17
    Ive been getting my firmware from heeere:
    iPod, iPhone and iPad Firmware Download

    And when i bought it new im 100% sure it was running 3g 3.1.3, i know this because my brother has a program on his computer which checks. And after i put the 2g 3.1.2 onto it so i could blackra1n it, It now shows as a 2g device. :///

  18. #18
    hey okay what i did was i got a 3g 3.1.2 model ipodtouch then to use blackra1n i downgraded to 2G 3.1.2 so now it is stuck at 2g!! instead of 3G and i cant get it back so i have lost voice command and accesibilty is there away i can get back to 3G firmware.. HELP!!!

  19. #19
    Were in the same situation heree dudee, i tried everything. And multitasking should even be on the ipod touch 3g 8gb 4.0 because the 32 and 64 gb models will be loading the same
    firmware. But the 2g 4.0 doesnt have multitasking. Were stuckk :'/

  20. #20
    Are you currently jailbroken?

Page 1 of 2 12 LastLast
Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •